org.bouncycastle.util.encoders

## Class BufferedDecoder

- java.lang.Object
- - org.bouncycastle.util.encoders.BufferedDecoder

    public class BufferedDecoder
    extends java.lang.Object

a buffering class to allow translation from one format to another to be done in discrete chunks.

### Field Summary

Fields
`protected byte[]` `buf`
`protected int` `bufOff`
`protected Translator` `translator`

### Constructor Summary

Constructors
Constructor and Description
`BufferedDecoder(Translator translator, int bufSize)`

### Method Summary

Methods
`int` `processByte(byte in, byte[] out, int outOff)`
`int` `processBytes(byte[] in, int inOff, int len, byte[] out, int outOff)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buf

    protected byte[] buf

#### bufOff

    protected int bufOff

#### translator

    protected Translator translator

### Constructor Detail

#### BufferedDecoder

    public BufferedDecoder(Translator translator,
                   int bufSize)

Parameters:
  `translator` - the translator to use.
  `bufSize` - amount of input to buffer for each chunk.

### Method Detail

#### processByte

    public int processByte(byte in,
                  byte[] out,
                  int outOff)

#### processBytes

    public int processBytes(byte[] in,
                   int inOff,
                   int len,
                   byte[] out,
                   int outOff)